import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';
import CaptionItem from './captionItem';

var CaptionModular =
/*#__PURE__*/
function (_Component) {
  _inherits(CaptionModular, _Component);

  function CaptionModular(props) {
    var _this;

    _classCallCheck(this, CaptionModular);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(CaptionModular).call(this, props));

    _this.handleOnClick = function (e) {
      var mode = _this.props.mode;

      if (/Android|webOS|iPhone|iPod|BlackBerry/i.test(navigator.userAgent) || mode == 3) {
        return false;
      }

      var containerList = document.querySelectorAll('.caption-modular');

      for (var i = 0; i < containerList.length; i++) {
        containerList[i].className = 'caption-modular';
      }

      e.currentTarget.className = 'caption-modular caption-modular-show';

      _this.props.handleClick(_this.props.data);
    };

    return _this;
  }

  _createClass(CaptionModular, [{
    key: "render",
    value: function render() {
      var mode = this.props.mode; //编辑模式 （补充小眼睛的状态编辑态没有交互）

      var _this$props = this.props,
          data = _this$props.data,
          index = _this$props.index;
      return React.createElement("div", {
        className: "caption-modular",
        onClick: this.handleOnClick.bind(this)
      }, React.createElement("div", {
        className: "caption-modular-title"
      }, React.createElement("div", {
        className: "caption-modular-tuxing"
      }), React.createElement("div", {
        className: "caption-modular-text"
      }, data.title)), /Android|webOS|iPhone|iPod|BlackBerry/i.test(navigator.userAgent) ? data.list.map(function (items, index) {
        return parseInt(items.eyeState) === 0 && items.value == 0 ? null : React.createElement(CaptionItem, {
          items: items,
          key: 'Item_' + index
        });
      }) : data.list.map(function (items, index) {
        return mode == 2 ? React.createElement(CaptionItem, {
          items: items,
          key: 'Item_' + index
        }) : parseInt(items.eyeState) === 0 && items.checked === true ? null : React.createElement(CaptionItem, {
          items: items,
          key: 'Item_' + index
        });
      }));
    }
  }]);

  return CaptionModular;
}(Component);

export { CaptionModular as default };