import _regeneratorRuntime from "@babel/runtime/regenerator";
import "core-js/modules/es6.promise";
import "core-js/modules/es6.object.to-string";
import "regenerator-runtime/runtime";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import "core-js/modules/es6.function.name";
export function getBSGlobal(name) {
  return BSGlobal && BSGlobal[name];
}
export function getUserInfo(url) {
  return getBSGlobal('loginUserInfo');
}
export function getTenantInfo(url) {
  return getBSGlobal('tenantInfo');
}
export function getApiUrl(url) {
  var uid = getUserInfo().Id;
  var tid = getTenantInfo().Id;
  var apiServer = getBSGlobal('apiPath');
  return apiServer + "/api/v1/" + tid + "/" + uid + "/" + url;
}
export function taker(_x, _x2, _x3) {
  return _taker.apply(this, arguments);
}

function _taker() {
  _taker = _asyncToGenerator(
  /*#__PURE__*/
  _regeneratorRuntime.mark(function _callee(url, method, body) {
    var settings, response, data;
    return _regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            settings = {};

            if (method) {
              settings.headers = {
                'Accept': 'application/json, application/xml, text/play, text/html, *.*',
                'Content-Type': 'application/json; charset=utf-8'
              };
              settings.method = method;
            }

            if (body) settings.body = JSON.stringify(body);
            settings.credentials = 'same-origin';
            _context.prev = 4;
            _context.next = 7;
            return fetch(url, settings);

          case 7:
            response = _context.sent;
            _context.next = 10;
            return response.json();

          case 10:
            data = _context.sent;
            return _context.abrupt("return", data);

          case 14:
            _context.prev = 14;
            _context.t0 = _context["catch"](4);
            _context.next = 18;
            return Promise.reject('出错了');

          case 18:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, null, [[4, 14]]);
  }));
  return _taker.apply(this, arguments);
}

export var TemDataModule =
/*#__PURE__*/
function () {
  function TemDataModule() {
    _classCallCheck(this, TemDataModule);

    this.data = null;
  }

  _createClass(TemDataModule, [{
    key: "set",
    value: function set(data) {
      this.data = data;
    }
  }, {
    key: "get",
    value: function get() {
      return this.data;
    }
  }]);

  return TemDataModule;
}();