import "core-js/modules/es6.regexp.search";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';
import produce from "immer";

var CaptionProject =
/*#__PURE__*/
function (_Component) {
  _inherits(CaptionProject, _Component);

  function CaptionProject(props) {
    var _this;

    _classCallCheck(this, CaptionProject);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(CaptionProject).call(this, props));

    _this.handleTake = function () {
      var show = _this.state.show;

      _this.setState({
        show: !show
      });
    };

    _this.handleSearch = function (e) {
      _this.setState({
        bgshow: e.target.value.length === 0 ? true : false,
        value: e.target.value
      });

      _this.props.handleSearch(e);
    };

    _this.state = {
      show: true,
      value: '',
      bgshow: true
    };
    return _this;
  } //展开收起功能


  _createClass(CaptionProject, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          data = _this$props.data,
          search = _this$props.search;
      var _this$state = this.state,
          show = _this$state.show,
          value = _this$state.value,
          bgshow = _this$state.bgshow;
      var newData = !value.length ? data : search;
      return React.createElement("div", {
        className: "project-wrap"
      }, React.createElement("div", {
        className: "project-title wrap-title"
      }, React.createElement("div", {
        className: "project-title-shape wrap-shape"
      }), React.createElement("div", {
        className: "project-title-text wrap-text"
      }, "\u85AA\u916C\u9879\u76EE"), React.createElement("div", {
        className: show ? 'project-title-take up' : 'project-title-take down',
        onClick: this.handleTake
      }, show ? '收起' : '展开')), show && React.createElement("div", null, React.createElement("div", {
        className: bgshow ? 'project-search  inputShow' : 'project-search'
      }, React.createElement("input", {
        placeholder: "\u641C\u7D22",
        onChange: this.handleSearch.bind(this)
      })), React.createElement("div", {
        className: "project-item"
      }, React.createElement("div", {
        className: "project-item-list"
      }, newData.map(function (item, index) {
        return item.text === null ? '' : React.createElement("div", {
          className: "project-item-content",
          key: 'Pro_' + index
        }, React.createElement("input", {
          type: "checkbox",
          onClick: _this2.props.handleSelcted.bind(_this2, item),
          checked: item.checked
        }), React.createElement("div", {
          className: "project-item-text"
        }, item.text));
      })))), React.createElement("div", {
        className: "setting-wrap-line"
      }));
    }
  }]);

  return CaptionProject;
}(Component);

export { CaptionProject as default };